Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class DiscountCalculatorFixedOff

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.AbstractDiscountCalculator
          com.bea.commerce.ebusiness.price.engine.DiscountCalculatorFixedOff

All Implemented Interfaces
  DiscountCalculator

Deprecated

    @Deprecated
    public class DiscountCalculatorFixedOff

extends AbstractDiscountCalculator

Field Summary
`static String` | `cName` Deprecated

Fields inherited from class com.bea.commerce.ebusiness.price.engine.AbstractDiscountCalculator
`DEBUG`

Fields inherited from interface com.bea.commerce.ebusiness.price.engine.DiscountCalculator
`calcMethod`

Constructor Summary
`DiscountCalculatorFixedOff()` Deprecated

Method Summary
`void` | `calcNewPrice(DiscountModifier modifier, AdjustmentType type, QualificationDiscountId discountID, String reason, List objects)` Deprecated List of PoolObject(s).
`void` | `calcNewPrice(DiscountModifier modifier, AdjustmentType type, QualificationDiscountId discountID, String reason, PoolObject object)` Deprecated
`protected double` | `computeNewPrice(PoolObject object)` Deprecated Override this method to have processList() work.
`protected String` | `getComputation()` Deprecated

Methods inherited from class com.bea.commerce.ebusiness.price.engine.AbstractDiscountCalculator
`adjust, adjust, processList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated
  See Also
    Constants Summary

Constructor Detail

### DiscountCalculatorFixedOff

    public DiscountCalculatorFixedOff()

  Deprecated

Method Detail

### calcNewPrice

    public void calcNewPrice(DiscountModifier modifier,
                             AdjustmentType type,
                             QualificationDiscountId discountID,
                             String reason,
                             PoolObject object)

  Deprecated

### calcNewPrice

    public void calcNewPrice(DiscountModifier modifier,
                             AdjustmentType type,
                             QualificationDiscountId discountID,
                             String reason,
                             List objects)

  Deprecated
  List of PoolObject(s).

### computeNewPrice

    protected double computeNewPrice(PoolObject object)

  Deprecated
  Description copied from class: `AbstractDiscountCalculator`
  Override this method to have processList() work.

  Overrides:
    `computeNewPrice` in class `AbstractDiscountCalculator`

### getComputation

    protected String getComputation()

  Deprecated
  Specified by:
    `getComputation` in class `AbstractDiscountCalculator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.